#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA692_X31J
extern FTL_LIBRARY* PRIM_08_Library_Open();

FTL_LIBRARY* G9015_INT1base;


INT1_04_InstallInterruptHandler(
)
{
        asm {
                movea.l G9015_INT1base(a5),a0
                movea.l -0x10(a0),a1
                jmp     (a1)
        }
}

INT1_05_UninstallInterruptHandler(
)
{
        asm {
                movea.l G9015_INT1base(a5),a0
                movea.l -0x14(a0),a1
                jmp     (a1)
        }
}

INT1_06_(
)
{
        asm {
                movea.l G9015_INT1base(a5),a0
                movea.l -0x18(a0),a1
                jmp     (a1)
        }
}

FTL_LIBRARY* F9018_OpenINT1(P9013_i_MinimumVersion)
int16_t P9013_i_MinimumVersion;
{
        if (P9013_i_MinimumVersion <= 3) {
                G9015_INT1base = PRIM_08_Library_Open(FTL_INT1, (long)P9013_i_MinimumVersion);
        }
        return G9015_INT1base;
}

long F9019_CloseINT1(P9014_l_)
long P9014_l_;
{
        if (P9014_l_) {
                PRIM_09_Library_Close(FTL_INT1);
        }
}
#endif
